<?php
/**
 * Created by PhpStorm.
 * User: Joseg
 * Date: 16/7/2018
 * Time: 6:08 PM
 */

include '../comun/validarSesion.php';
include '../comun/uploadImage.php';

if (isset($_REQUEST['token'])) {
    $Valido = new validator();
    $ImageUploader = new uploadImage();
    if ($Valido->checkToken($_REQUEST['token'])){
        if (isset($_REQUEST['nombre']) && isset($_REQUEST['descripcion']) && isset($_REQUEST['telefono']) && isset($_REQUEST['direccion'])) {
            $creadoPor = $Valido->retornarIdToken($_REQUEST['token']);
            $condominio = $Valido->retornarDatos($creadoPor);
            $directoriocontacto = R::dispense('directoriocontacto');
            $directoriocontacto->nombre = $_REQUEST['nombre'];
            $directoriocontacto->descripcion = $_REQUEST['descripcion'];
            $directoriocontacto->telefono = $_REQUEST['telefono'];
            $directoriocontacto->direccion = $_REQUEST['direccion'];
            if (isset($_REQUEST['imagen'])){
                $imagen = $_REQUEST['imagen'];
                $directoriocontacto->imagen = $ImageUploader->subirImagen($imagen);
            }else{
                $directoriocontacto->imagen = '';
            }
            $directoriocontacto->id_condominio = $condominio["condominio_id"];
            $directoriocontacto->id_autor = $creadoPor;
            $directoriocontacto->fechaRegistro = date('Y-m-d H:i:s');
            $directoriocontacto->fechaModificacion = date('Y-m-d H:i:s');
            $directoriocontacto->estado = 1;
            $id = R::store($directoriocontacto);
            include '../comun/mensajeCreado.php';

        }else{
            include '../comun/mensajeFaltanCampos.php';
        }
    }else{
        include '../comun/mensajeDatosInvalidos.php';
    }
}else{
    include '../comun/mensajeSesionInvalida.php';
}